net.sf.jasperreports.engine

## Interface JRValueParameter

- All Superinterfaces:
    java.lang.Cloneable, JRCloneable, JRParameter, JRPropertiesHolder
  All Known Implementing Classes:
    JRFillCrosstabParameter, JRFillParameter

      public interface JRValueParameter
      extends JRParameter

  A report/dataset parameter having an assigned value.
  Version:
    $Id: JRValueParameter.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRParameter

      `FILTER, IS_IGNORE_PAGINATION, JASPER_REPORT, JASPER_REPORTS_CONTEXT, REPORT_CLASS_LOADER, REPORT_CONNECTION, REPORT_CONTEXT, REPORT_DATA_SOURCE, REPORT_FILE_RESOLVER, REPORT_FORMAT_FACTORY, REPORT_LOCALE, REPORT_MAX_COUNT, REPORT_PARAMETERS_MAP, REPORT_RESOURCE_BUNDLE, REPORT_SCRIPTLET, REPORT_TEMPLATES, REPORT_TIME_ZONE, REPORT_URL_HANDLER_FACTORY, REPORT_VIRTUALIZER, SORT_FIELDS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getValue()` Returns the value assigned to the parameter.
    `void` | `setValue(java.lang.Object value)` Assigns the value to the parameter.

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRParameter

      `getDefaultValueExpression, getDescription, getName, getNestedType, getNestedTypeName, getValueClass, getValueClassName, isForPrompting, isSystemDefined, setDescription`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Method Detail

    - #### getValue

          java.lang.Object getValue()

      Returns the value assigned to the parameter.
      Returns:
        the value assigned to the parameter

    - #### setValue

          void setValue(java.lang.Object value)

      Assigns the value to the parameter.
      Parameters:
        `value` - the value assigned to the parameter

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com